Update recurring transaction
curl --request PATCH \
--url https://app.sure.am/api/v1/recurring_transactions/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"recurring_transaction": {
"expected_day_of_month": 16,
"next_expected_date": "2023-12-25"
}
}
'import requests
url = "https://app.sure.am/api/v1/recurring_transactions/{id}"
payload = { "recurring_transaction": {
"expected_day_of_month": 16,
"next_expected_date": "2023-12-25"
} }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recurring_transaction: {expected_day_of_month: 16, next_expected_date: '2023-12-25'}
})
};
fetch('https://app.sure.am/api/v1/recurring_transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"amount_cents": 123,
"currency": "<string>",
"expected_day_of_month": 16,
"last_occurrence_date": "2023-12-25",
"next_expected_date": "2023-12-25",
"status": "active",
"occurrence_count": 1,
"manual": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"expected_amount_min": "<string>",
"expected_amount_min_cents": 123,
"expected_amount_max": "<string>",
"expected_amount_max_cents": 123,
"expected_amount_avg": "<string>",
"expected_amount_avg_cents": 123,
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>",
"status": "<string>"
},
"merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Recurring Transactions
Update recurring transaction
PATCH
/
api
/
v1
/
recurring_transactions
/
{id}
Update recurring transaction
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Recurring transaction ID
Body
application/json
Show child attributes
Show child attributes
Response
recurring transaction updated
Amount in currency minor units
Required range:
1 <= x <= 31Available options:
active, inactive Required range:
x >= 0Minimum expected amount in currency minor units
Maximum expected amount in currency minor units
Average expected amount in currency minor units
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I